/*
 * This file is (c) Copyright Zarafa, The Netherlands, 2007
 *
 * Use of this file and the source contained within it is subject to the
 * license of the package it belongs to. See the LICENSE file in the
 * top-level directory of the package.
 *
 */

#ifndef INPUT_STREAM_MAPI_ADAPTER_H
#define INPUT_STREAM_MAPI_ADAPTER_H

#include "platform.h"
#include "vmime/utility/stream.hpp"
#include "mapidefs.h"

class inputStreamMAPIAdapter : public vmime::utility::inputStream {
public:
	inputStreamMAPIAdapter(IStream *lpStream);
	virtual ~inputStreamMAPIAdapter();
	virtual const size_type read(value_type* const data, const size_type count);
	virtual const size_type skip(const size_type count);
	virtual void reset();
	virtual const bool eof() const;

private:
	bool	ateof;
	IStream *lpStream;
};

#endif
